Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Event_Manager Class Reference

A class that manages the Consumer and Supplier maps. More...

`#include <Event_Manager.h>`

Collaboration diagram for TAO_NS_Event_Manager:

[legend]
List of all members.

## Public Methods
| TAO_NS_Event_Manager (void)
| Constuctor. More...
| ~TAO_NS_Event_Manager ()
| Destructor. More...
void | init (ACE_ENV_SINGLE_ARG_DECL)
| Init. More...
void | shutdown (void)
| Init. More...
void | connect (TAO_NS_ProxySupplier *proxy_supplier ACE_ENV_ARG_DECL)
| Connect ProxySupplier. More...
void | disconnect (TAO_NS_ProxySupplier *proxy_supplier ACE_ENV_ARG_DECL)
| Disconnect ProxySupplier. More...
void | connect (TAO_NS_ProxyConsumer *proxy_consumer ACE_ENV_ARG_DECL)
| Connect ProxyConsumer. More...
void | disconnect (TAO_NS_ProxyConsumer *proxy_consumer ACE_ENV_ARG_DECL)
| Disconnect ProxyConsumer. More...
TAO_NS_Consumer_Map * | consumer_map (void)
| Map accessors. More...
TAO_NS_Supplier_Map * | supplier_map (void)
void | offer_change (TAO_NS_ProxyConsumer *proxy_consumer, const TAO_NS_EventTypeSeq &added, const TAO_NS_EventTypeSeq &removed ACE_ENV_ARG_DECL)
| Offer change received on <proxy_consumer>. More...
void | subscription_change (TAO_NS_ProxySupplier *proxy_supplier, const TAO_NS_EventTypeSeq &added, const TAO_NS_EventTypeSeq &removed ACE_ENV_ARG_DECL)
| Subscription change received on <proxy_supplier>. More...
const TAO_NS_EventTypeSeq & | offered_types (void)
| What are the types being offered. More...
const TAO_NS_EventTypeSeq & | subscription_types (void)
| What are the types being subscribed. More...
## Protected Methods
void | subscribe (TAO_NS_ProxySupplier *proxy_supplier, const TAO_NS_EventTypeSeq &seq, TAO_NS_EventTypeSeq &new_seq ACE_ENV_ARG_DECL)
| Subscribe <proxy_supplier> to the event type sequence list <seq>. More...
void | un_subscribe (TAO_NS_ProxySupplier *proxy_supplier, const TAO_NS_EventTypeSeq &seq, TAO_NS_EventTypeSeq &last_seq ACE_ENV_ARG_DECL)
| Unsubscribe <proxy_supplier> to the event type sequence list <seq>. More...
void | publish (TAO_NS_ProxyConsumer *proxy_consumer, const TAO_NS_EventTypeSeq &seq, TAO_NS_EventTypeSeq &new_seq ACE_ENV_ARG_DECL)
| Subscribe <proxy_consumer> to the event type sequence list <seq>. More...
void | un_publish (TAO_NS_ProxyConsumer *proxy_consumer, const TAO_NS_EventTypeSeq &seq, TAO_NS_EventTypeSeq &last_seq ACE_ENV_ARG_DECL)
| Subscribe <proxy_consumer> to the event type sequence list <seq>. More...
## Protected Attributes
TAO_NS_Consumer_Map * | consumer_map_
| Consumer Map. More...
TAO_NS_Supplier_Map * | supplier_map_
| Supplier Map. More...

## Detailed Description

A class that manages the Consumer and Supplier maps.

## Constructor & Destructor Documentation

TAO_NS_Event_Manager::TAO_NS_Event_Manager | ( | void |  | ) |

| Constuctor.

TAO_NS_Event_Manager::~TAO_NS_Event_Manager | ( |  | ) |

| Destructor.

## Member Function Documentation

void TAO_NS_Event_Manager::connect | ( | TAO_NS_ProxyConsumer *proxy_consumer | ACE_ENV_ARG_DECL | ) |

| Connect ProxyConsumer.

void TAO_NS_Event_Manager::connect | ( | TAO_NS_ProxySupplier *proxy_supplier | ACE_ENV_ARG_DECL | ) |

| Connect ProxySupplier.

TAO_NS_Consumer_Map* TAO_NS_Event_Manager::consumer_map | ( | void |  | ) |

| Map accessors.

void TAO_NS_Event_Manager::disconnect | ( | TAO_NS_ProxyConsumer *proxy_consumer | ACE_ENV_ARG_DECL | ) |

| Disconnect ProxyConsumer.

void TAO_NS_Event_Manager::disconnect | ( | TAO_NS_ProxySupplier *proxy_supplier | ACE_ENV_ARG_DECL | ) |

| Disconnect ProxySupplier.

void TAO_NS_Event_Manager::init | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Init.

void TAO_NS_Event_Manager::offer_change | ( | TAO_NS_ProxyConsumer * | proxy_consumer,
|  | const TAO_NS_EventTypeSeq & | added,
|  | const TAO_NS_EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) |

| Offer change received on <proxy_consumer>.

const TAO_NS_EventTypeSeq& TAO_NS_Event_Manager::offered_types | ( | void |  | ) |

| What are the types being offered.

void TAO_NS_Event_Manager::publish | ( | TAO_NS_ProxyConsumer * | proxy_consumer,
|  | const TAO_NS_EventTypeSeq & | seq,
|  | TAO_NS_EventTypeSeq &new_seq | ACE_ENV_ARG_DECL
| ) | `[protected]`

| Subscribe <proxy_consumer> to the event type sequence list <seq>.

void TAO_NS_Event_Manager::shutdown | ( | void |  | ) |

| Init.

void TAO_NS_Event_Manager::subscribe | ( | TAO_NS_ProxySupplier * | proxy_supplier,
|  | const TAO_NS_EventTypeSeq & | seq,
|  | TAO_NS_EventTypeSeq &new_seq | ACE_ENV_ARG_DECL
| ) | `[protected]`

| Subscribe <proxy_supplier> to the event type sequence list <seq>.

void TAO_NS_Event_Manager::subscription_change | ( | TAO_NS_ProxySupplier * | proxy_supplier,
|  | const TAO_NS_EventTypeSeq & | added,
|  | const TAO_NS_EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) |

| Subscription change received on <proxy_supplier>.

const TAO_NS_EventTypeSeq& TAO_NS_Event_Manager::subscription_types | ( | void |  | ) |

| What are the types being subscribed.

TAO_NS_Supplier_Map* TAO_NS_Event_Manager::supplier_map | ( | void |  | ) |

void TAO_NS_Event_Manager::un_publish | ( | TAO_NS_ProxyConsumer * | proxy_consumer,
|  | const TAO_NS_EventTypeSeq & | seq,
|  | TAO_NS_EventTypeSeq &last_seq | ACE_ENV_ARG_DECL
| ) | `[protected]`

| Subscribe <proxy_consumer> to the event type sequence list <seq>.

void TAO_NS_Event_Manager::un_subscribe | ( | TAO_NS_ProxySupplier * | proxy_supplier,
|  | const TAO_NS_EventTypeSeq & | seq,
|  | TAO_NS_EventTypeSeq &last_seq | ACE_ENV_ARG_DECL
| ) | `[protected]`

| Unsubscribe <proxy_supplier> to the event type sequence list <seq>.

## Member Data Documentation

TAO_NS_Consumer_Map* TAO_NS_Event_Manager::consumer_map_`[protected]`

| Consumer Map.

TAO_NS_Supplier_Map* TAO_NS_Event_Manager::supplier_map_`[protected]`

| Supplier Map.

The documentation for this class was generated from the following files:

- Event_Manager.h
- Event_Manager.cpp